Index: /code/branches/core4/src/core/CommandLine.cc
===================================================================
--- /code/branches/core4/src/core/CommandLine.cc	(revision 3261)
+++ /code/branches/core4/src/core/CommandLine.cc	(revision 3262)
@@ -29,4 +29,5 @@
 #include "CommandLine.h"
 
+#include <algorithm>
 #include <sstream>
 #include <boost/filesystem.hpp>
Index: /code/branches/core4/src/core/Executor.cc
===================================================================
--- /code/branches/core4/src/core/Executor.cc	(revision 3261)
+++ /code/branches/core4/src/core/Executor.cc	(revision 3262)
@@ -99,13 +99,13 @@
 
             // assign all given arguments to the multitypes
-            for (unsigned int i = 0; i < min(tokens.size(), (unsigned int)MAX_FUNCTOR_ARGUMENTS); i++)
+            for (unsigned int i = 0; i < std::min(tokens.size(), (unsigned int)MAX_FUNCTOR_ARGUMENTS); i++)
                 param[i] = tokens[i];
 
             // fill the remaining multitypes with default values
-            for (unsigned int i = tokens.size(); i < min(paramCount, (unsigned int)MAX_FUNCTOR_ARGUMENTS); i++)
+            for (unsigned int i = tokens.size(); i < std::min(paramCount, (unsigned int)MAX_FUNCTOR_ARGUMENTS); i++)
                 param[i] = this->defaultValue_[i];
 
             // evaluate the param types through the functor
-            for (unsigned int i = 0; i < min(paramCount, (unsigned int)MAX_FUNCTOR_ARGUMENTS); i++)
+            for (unsigned int i = 0; i < std::min(paramCount, (unsigned int)MAX_FUNCTOR_ARGUMENTS); i++)
                 this->functor_->evaluateParam(i, param[i]);
 
Index: /code/branches/core4/src/core/Executor.h
===================================================================
--- /code/branches/core4/src/core/Executor.h	(revision 3261)
+++ /code/branches/core4/src/core/Executor.h	(revision 3262)
@@ -32,4 +32,7 @@
 
 #include "CorePrereqs.h"
+
+#include <algorithm>
+#include <string>
 
 #include "util/Debug.h"
@@ -101,5 +104,5 @@
             COUT(5) << tokens[i]; \
         } \
-        COUT(5) << ") and " << max((int)paramCount - (int)tokens.size(), 0) << " default values ("; \
+        COUT(5) << ") and " << std::max((int)paramCount - (int)tokens.size(), 0) << " default values ("; \
         for (unsigned int i = tokens.size(); i < paramCount; i++) \
         { \
Index: /code/branches/core4/src/orxonox/objects/worldentities/Backlight.cc
===================================================================
--- /code/branches/core4/src/orxonox/objects/worldentities/Backlight.cc	(revision 3261)
+++ /code/branches/core4/src/orxonox/objects/worldentities/Backlight.cc	(revision 3262)
@@ -29,4 +29,5 @@
 #include "Backlight.h"
 
+#include <algorithm>
 #include <OgreRibbonTrail.h>
 #include <OgreSceneManager.h>
@@ -175,5 +176,5 @@
     void Backlight::stopturnonoff()
     {
-        this->postprocessingtime_ = max(0.0f, this->lifetime_ - this->turnofftime_);
+        this->postprocessingtime_ = std::max(0.0f, this->lifetime_ - this->turnofftime_);
 
         FadingBillboard::stopturnonoff();
Index: /code/branches/core4/src/orxonox/objects/worldentities/Camera.cc
===================================================================
--- /code/branches/core4/src/orxonox/objects/worldentities/Camera.cc	(revision 3261)
+++ /code/branches/core4/src/orxonox/objects/worldentities/Camera.cc	(revision 3262)
@@ -29,4 +29,5 @@
 #include "Camera.h"
 
+#include <algorithm>
 #include <OgreCamera.h>
 #include <OgreSceneManager.h>
@@ -104,5 +105,5 @@
         {
             // this stuff here may need some adjustments
-            float coeff = min(1.0f, 15.0f * dt);
+            float coeff = std::min(1.0f, 15.0f * dt);
 
             Vector3 offset = this->getWorldPosition() - this->cameraNode_->_getDerivedPosition();
Index: /code/branches/core4/src/orxonox/objects/worldentities/pawns/Pawn.cc
===================================================================
--- /code/branches/core4/src/orxonox/objects/worldentities/pawns/Pawn.cc	(revision 3261)
+++ /code/branches/core4/src/orxonox/objects/worldentities/pawns/Pawn.cc	(revision 3262)
@@ -28,4 +28,6 @@
 
 #include "Pawn.h"
+
+#include <algorithm>
 
 #include "core/CoreIncludes.h"
@@ -152,5 +154,5 @@
     void Pawn::setHealth(float health)
     {
-        this->health_ = min(health, this->maxHealth_);
+        this->health_ = std::min(health, this->maxHealth_);
     }
 
Index: /code/branches/core4/src/orxonox/overlays/console/InGameConsole.cc
===================================================================
--- /code/branches/core4/src/orxonox/overlays/console/InGameConsole.cc	(revision 3261)
+++ /code/branches/core4/src/orxonox/overlays/console/InGameConsole.cc	(revision 3262)
@@ -30,4 +30,5 @@
 #include "InGameConsole.h"
 
+#include <algorithm>
 #include <string>
 #include <OgreOverlay.h>
@@ -425,5 +426,5 @@
 
         if (LINES > 0)
-            this->maxCharsPerLine_ = max((unsigned int)10, (unsigned int) ((float)this->desiredTextWidth_ / CHAR_WIDTH));
+            this->maxCharsPerLine_ = std::max((unsigned int)10, (unsigned int) ((float)this->desiredTextWidth_ / CHAR_WIDTH));
         else
             this->maxCharsPerLine_ = 10;
Index: /code/branches/core4/src/util/Math.h
===================================================================
--- /code/branches/core4/src/util/Math.h	(revision 3261)
+++ /code/branches/core4/src/util/Math.h	(revision 3262)
@@ -78,22 +78,4 @@
     {
         return (x >= 0) ? 1 : -1;
-    }
-
-    /**
-        @brief Returns the smaller of two values.
-    */
-    template <typename T>
-    inline T min(T a, T b)
-    {
-        return (a <= b) ? a : b;
-    }
-
-    /**
-        @brief Returns the greater of two values.
-    */
-    template <typename T>
-    inline T max(T a, T b)
-    {
-        return (a >= b) ? a : b;
     }
 
